# pion::plugins::HelloService Class Reference

`#include <HelloService.hpp>`

Inherits pion::net::WebService.

List of all members.

## Detailed Description

HelloService: web service that responds with "Hello World"

Definition at line 22 of file HelloService.hpp.

## Public Member Functions

| HelloService (void)
virtual | ~HelloService ()
virtual void | operator() (pion::net::HTTPRequestPtr &request, pion::net::TCPConnectionPtr &tcp_conn)
| handles requests for HelloService

The documentation for this class was generated from the following files:

- net/services/HelloService.hpp
- net/services/HelloService.cpp